> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customers

> Use the Bright Data Reseller API to get Customers. GET /api/{partner}/customers returns a 200 OK JSON response for the requested action.



## OpenAPI

````yaml api-reference/openapi-reseller GET /api/{PARTNER_NAME}/customers
openapi: 3.0.1
info:
  title: Bright Data API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/customers:
    get:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: Name of the proxy zone which will service your request.
          required: true
          schema:
            type: string
        - in: query
          name: active
          description: |-
            can be `0`, `1` or empty. 

            If `0` - return only not active customers. 

            If `1` - only active. 

            If empty - return all.
          required: false
          schema:
            type: number
            enum:
              - 0
              - 1
              - null
        - in: query
          name: limit
          description: max amount of account to return on 1 page
          required: false
          schema:
            type: integer
            default: 1000
        - in: query
          name: page
          description: number of the page to return
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                example:
                  total: 1
                  page: 1
                  pages: 1
                  per_page: 1
                  customers:
                    - id: ex_7f531897
                      start: '2024-05-02T00:00:00.000Z'
                      active: true
                      zone: dedicated_dc
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````